gtkmm: Gtk::SvgError Class Reference

gtkmm 4.23.2

Public Types | Public Member Functions | List of all members
Gtk::SvgError Class Reference

`#include <gtkmm/svg.h>`

Inheritance diagram for Gtk::SvgError:
[legend]

## Public Types
enum | Code { INVALID_SYNTAX , INVALID_ELEMENT , INVALID_ATTRIBUTE , MISSING_ATTRIBUTE , INVALID_REFERENCE , FAILED_UPDATE , FAILED_RENDERING , IGNORED_ELEMENT , LIMITS_EXCEEDED , NOT_IMPLEMENTED , FEATURE_DISABLED }
| Error codes in the GTK_SVG_ERROR domain for errors that happen during parsing or rendering of SVG. More...

## Public Member Functions
| SvgError (Code error_code, const Glib::ustring & error_message)
| SvgError (GError * gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring &message)
| Error (GError *gobject, bool take_copy=false)
| Error (const Error &other)
Error & | operator= (const Error &other)
| ~Error () noexcept override
| operator bool () const
GQuark | domain () const
int | code () const
const char * | what () const noexcept override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError * | gobject_

## Member Enumeration Documentation

## ◆ Code

enum Gtk::SvgError::Code

Error codes in the GTK_SVG_ERROR domain for errors that happen during parsing or rendering of SVG.

Since gtkmm 4.22

Enumerator
INVALID_SYNTAX | The XML syntax is broken in some way.
INVALID_ELEMENT | An XML element is invalid (either because it is not part of SVG, or because it is in the wrong place, or because it not implemented in GTK).
INVALID_ATTRIBUTE | An attribute is invalid (either because it is not part of SVG, or because it is not implemented in GTK, or its value is problematic).
MISSING_ATTRIBUTE | A required attribute is missing.
INVALID_REFERENCE | A reference does not point to a suitable element.
FAILED_UPDATE | An animation could not be updated.
FAILED_RENDERING | Rendering is not according to expecations.
IGNORED_ELEMENT | An XML element is ignored, but it should not affect rendering (this error code is used for metadata and exension elements).
LIMITS_EXCEEDED | An implementation limit has been hit, such as the number of loaded shapes.
NOT_IMPLEMENTED | The SVG uses features that are not supported by Gtk::Svg. It may be advisable to use a different SVG renderer.
FEATURE_DISABLED |

## Constructor & Destructor Documentation

## ◆ SvgError() [1/2]

Gtk::SvgError::SvgError | ( | Code | error_code,
|  | const Glib::ustring & | error_message )

## ◆ SvgError() [2/2]

Gtk::SvgError::SvgError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

## ◆ code()

Code Gtk::SvgError::code | ( |  | ) | const